# coding: utf-8

"""
    Speechall API

    The Speechall REST API provides powerful and flexible speech-to-text capabilities. It allows you to transcribe audio files using various underlying STT providers and models, optionally apply custom text replacement rules, and access results in multiple formats. The API includes standard endpoints for transcription and endpoints compatible with the OpenAI API structure. 

    The version of the OpenAPI document: 0.1.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest
import datetime

from speechall.models.speech_to_text_model import SpeechToTextModel  # noqa: E501

class TestSpeechToTextModel(unittest.TestCase):
    """SpeechToTextModel unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> SpeechToTextModel:
        """Test SpeechToTextModel
            include_option is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `SpeechToTextModel`
        """
        model = SpeechToTextModel()  # noqa: E501
        if include_optional:
            return SpeechToTextModel(
                id = 'openai.whisper-1',
                display_name = 'Deepgram Nova 2 - General',
                provider = 'amazon',
                description = 'Deepgram's latest general-purpose transcription model, optimized for various audio types.',
                cost_per_second_usd = 0.0043,
                is_available = True,
                supported_languages = ["en-US","en-GB","es-ES","fr-FR","auto"],
                punctuation = True,
                diarization = True,
                streamable = True,
                real_time_factor = 10.0,
                max_duration_seconds = 14400,
                max_file_size_bytes = 104857600,
                version = '2.0',
                release_date = 'Thu Oct 26 02:00:00 CEST 2023',
                model_type = 'general',
                accuracy_tier = 'enhanced',
                supported_audio_encodings = ["LINEAR16","FLAC","MP3","Opus"],
                supported_sample_rates = [8000,16000,44100],
                speaker_labels = True,
                word_timestamps = True,
                confidence_scores = True,
                language_detection = True,
                custom_vocabulary_support = False,
                profanity_filtering = True,
                noise_reduction = True,
                supports_srt = True,
                supports_vtt = True,
                voice_activity_detection = True
            )
        else:
            return SpeechToTextModel(
                id = 'openai.whisper-1',
                display_name = 'Deepgram Nova 2 - General',
                provider = 'amazon',
                is_available = True,
                supports_srt = True,
                supports_vtt = True,
        )
        """

    def testSpeechToTextModel(self):
        """Test SpeechToTextModel"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
